Package org.apache.tools.ant.taskdefs

# Class Javadoc.Html

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.Html

Enclosing class:
  `Javadoc`

public static class Javadoc.Html extends Object
An HTML element in the Javadoc. This class is used for those Javadoc elements which contain HTML such as footers, headers, etc.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Html()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText(String t)`
  Add text to the element.
  `String`
  `getText()`
  Get the current text for the element.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Html

    public Html()

- ## Method Details

  - ### addText

    public void addText(String t)
    Add text to the element.
    Parameters:
      `t` - the text to be added.

  - ### getText

    public String getText()
    Get the current text for the element.
    Returns:
      the current text.